package com.uavps.system.service.impl;

import com.uavps.common.utils.DateUtils;
import com.uavps.system.domain.UavpsAlgorithmParameter;
import com.uavps.system.mapper.UavpsAlgorithmParameterMapper;
import com.uavps.system.service.IUavpsAlgorithmParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 算法参数信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class UavpsAlgorithmParameterServiceImpl implements IUavpsAlgorithmParameterService {
    @Autowired
    private UavpsAlgorithmParameterMapper uavpsAlgorithmParameterMapper;

    /**
     * 查询算法参数信息
     *
     * @param id 算法参数信息主键
     * @return 算法参数信息
     */
    @Override
    public UavpsAlgorithmParameter selectUavpsAlgorithmParameterById(Long id) {
        return uavpsAlgorithmParameterMapper.selectUavpsAlgorithmParameterById(id);
    }

    /**
     * 查询算法参数信息列表
     *
     * @param uavpsAlgorithmParameter 算法参数信息
     * @return 算法参数信息
     */
    @Override
    public List<UavpsAlgorithmParameter> selectUavpsAlgorithmParameterList(UavpsAlgorithmParameter uavpsAlgorithmParameter) {
        return uavpsAlgorithmParameterMapper.selectUavpsAlgorithmParameterList(uavpsAlgorithmParameter);
    }

    /**
     * 新增算法参数信息
     *
     * @param uavpsAlgorithmParameter 算法参数信息
     * @return 结果
     */
    @Override
    public int insertUavpsAlgorithmParameter(UavpsAlgorithmParameter uavpsAlgorithmParameter) {
        uavpsAlgorithmParameter.setCreateTime(DateUtils.getNowDate());
        return uavpsAlgorithmParameterMapper.insertUavpsAlgorithmParameter(uavpsAlgorithmParameter);
    }

    /**
     * 修改算法参数信息
     *
     * @param uavpsAlgorithmParameter 算法参数信息
     * @return 结果
     */
    @Override
    public int updateUavpsAlgorithmParameter(UavpsAlgorithmParameter uavpsAlgorithmParameter) {
        uavpsAlgorithmParameter.setUpdateTime(DateUtils.getNowDate());
        return uavpsAlgorithmParameterMapper.updateUavpsAlgorithmParameter(uavpsAlgorithmParameter);
    }

    /**
     * 批量删除算法参数信息
     *
     * @param ids 需要删除的算法参数信息主键
     * @return 结果
     */
    @Override
    public int deleteUavpsAlgorithmParameterByIds(Long[] ids) {
        return uavpsAlgorithmParameterMapper.deleteUavpsAlgorithmParameterByIds(ids);
    }

    /**
     * 删除算法参数信息信息
     *
     * @param id 算法参数信息主键
     * @return 结果
     */
    @Override
    public int deleteUavpsAlgorithmParameterById(Long id) {
        return uavpsAlgorithmParameterMapper.deleteUavpsAlgorithmParameterById(id);
    }

    @Override
    public String initAlgorithmParams(Long id) {
        StringBuffer sbf = new StringBuffer();
        sbf.append("BB1403");
        UavpsAlgorithmParameter parameter = uavpsAlgorithmParameterMapper.selectUavpsAlgorithmParameterById(id);

        return sbf.toString();
    }
}
